## golang-github-go-enry-go-license-detector 4.3.0

=== Makefile ===
GOPATH ?= $(shell go env GOPATH)
SPDX_DATA_VERSION ?= 3.8

licensedb/internal/assets/bindata.go: licenses.tar urls.csv names.csv $(GOPATH)/bin/go-bindata
	rm -rf license-list-data-$(SPDX_DATA_VERSION)
	rm -f license-list-data.tar.gz
	$(GOPATH)/bin/go-bindata -nometadata -pkg assets -o licensedb/internal/assets/bindata.go licenses.tar urls.csv names.csv
	rm licenses.tar urls.csv names.csv

licenses.tar: license-list-data.tar.gz
	tar -xf license-list-data.tar.gz license-list-data-$(SPDX_DATA_VERSION)/text
	tar -cf licenses.tar -C license-list-data-$(SPDX_DATA_VERSION)/text .

license-list-data-$(SPDX_DATA_VERSION)/json/details: license-list-data.tar.gz
	tar -xf license-list-data.tar.gz license-list-data-$(SPDX_DATA_VERSION)/json/details

urls.csv: license-list-data-$(SPDX_DATA_VERSION)/json/details
	go run licensedb/internal/assets/extract_urls.go license-list-data-$(SPDX_DATA_VERSION)/json/details > urls.csv

names.csv: license-list-data-$(SPDX_DATA_VERSION)/json/details
	go run licensedb/internal/assets/extract_names.go license-list-data-$(SPDX_DATA_VERSION)/json/details > names.csv

license-list-data.tar.gz:
	curl -SLk -o license-list-data.tar.gz https://github.com/spdx/license-list-data/archive/v$(SPDX_DATA_VERSION).tar.gz

$(GOPATH)/bin/go-bindata:
	go get -v github.com/jteeuwen/go-bindata/go-bindata@6025e8de665b31fa74ab1a66f2cddd8c0abf887e

=== debian/changelog ===
golang-github-go-enry-go-license-detector (4.3.0-3ubuntu0.22.04.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 22:23:34 +0000

golang-github-go-enry-go-license-detector (4.3.0-3ubuntu0.22.04.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 May 2023 14:37:07 +0530

golang-github-go-enry-go-license-detector (4.3.0-3ubuntu0.22.04.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 31 Jan 2023 17:00:05 +0100

golang-github-go-enry-go-license-detector (4.3.0-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Sat, 27 Nov 2021 00:49:15 +0530

golang-github-go-enry-go-license-detector (4.3.0-2) unstable; urgency=medium

  * Rebuild with updated dependencies (some were rejected from new and
    reuploaded)

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Nov 2021 11:30:34 +0530

golang-github-go-enry-go-license-detector (4.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #999407)

 -- Pirate Praveen <praveen@debian.org>  Wed, 10 Nov 2021 22:27:31 +0530

=== debian/control ===
Source: golang-github-go-enry-go-license-detector
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-ekzhu-minhash-lsh-dev,
               golang-github-jdkato-prose-dev,
               golang-github-go-git-go-git-dev,
               golang-github-hhatto-gorst-dev,
               golang-github-pkg-errors-dev,
               golang-github-russross-blackfriday-v2-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-net-dev,
               golang-gonum-v1-gonum-dev,
               golang-golang-x-text-dev,
               git
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-enry-go-license-detector
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-enry-go-license-detector.git
Homepage: https://github.com/go-enry/go-license-detector
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/go-enry/go-license-detector

Package: golang-github-go-enry-go-license-detector-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-ekzhu-minhash-lsh-dev,
         golang-github-jdkato-prose-dev,
         golang-github-go-git-go-git-dev,
         golang-github-hhatto-gorst-dev,
         golang-github-pkg-errors-dev,
         golang-github-russross-blackfriday-v2-dev,
         golang-github-sergi-go-diff-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-exp-dev,
         golang-golang-x-net-dev,
         golang-gonum-v1-gonum-dev,
         golang-golang-x-text-dev,
         ${misc:Depends}
Description: Reliable project licenses detector (library)
 It scans the given directory for license files, normalizes and hashes them
 and outputs all the fuzzy matches with the list of reference texts.  The
 returned names follow SPDX standard.
 .
 Why? There are no similar projects which can be compiled into a native binary
 without dependencies and also support the whole SPDX license database
 (≈400 items). This implementation is also fast, requires little memory, and
 the API is easy to use.
 .
 The detection algorithm is not template matching; this directly implies that
 go-license-detector does not provide any legal guarantees. The intended area
 of it's usage is data mining.
 .
 This package provides the golang module.

Package: license-detector
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Reliable project licenses detector (command line)
 It scans the given directory for license files, normalizes and hashes them
 and outputs all the fuzzy matches with the list of reference texts.  The
 returned names follow SPDX standard.
 .
 Why? There are no similar projects which can be compiled into a native binary
 without dependencies and also support the whole SPDX license database
 (≈400 items). This implementation is also fast, requires little memory, and
 the API is easy to use.
 .
 The detection algorithm is not template matching; this directly implies that
 go-license-detector does not provide any legal guarantees. The intended area
 of it's usage is data mining.
 .
 This package provides the command line interface.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := licensedb/internal/wmh/test_data licensedb/filer/test_data licensedb/dataset.zip LICENSE.md

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## golang-github-go-enry-go-license-detector 4.3.0+git20221007.a3a1cc6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 GOPATH ?= $(shell go env GOPATH)
-SPDX_DATA_VERSION ?= 3.8
+SPDX_DATA_VERSION ?= 3.17
 
 licensedb/internal/assets/bindata.go: licenses.tar urls.csv names.csv $(GOPATH)/bin/go-bindata
 	rm -rf license-list-data-$(SPDX_DATA_VERSION)

=== debian/changelog ===
golang-github-go-enry-go-license-detector (4.3.0+git20221007.a3a1cc6-3) unstable; urgency=medium

  * Extend test timeout to 150m for slower architectures

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Jul 2023 22:55:08 +0530

golang-github-go-enry-go-license-detector (4.3.0+git20221007.a3a1cc6-2) unstable; urgency=medium

  * Update minimum version of golang-any
  * Switch to golang-go (gccgo-go is missing textflag.h)

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Jul 2023 15:28:29 +0530

golang-github-go-enry-go-license-detector (4.3.0+git20221007.a3a1cc6-1) unstable; urgency=medium

  * New upstream version 4.3.0+git20221007.a3a1cc6
    - these commits are needed for gitaly 15.4

 -- Pirate Praveen <praveen@debian.org>  Sun, 09 Oct 2022 02:50:28 +0530

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+
+override_dh_auto_test:
+	dh_auto_test -- -timeout 150m

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/go-enry/go-license-detector/tags .*/v?(\d\S*)\.tar\.gz debian
